Merge pull request #981 from github/PowershellQuotes

quoting powershell files
This commit is contained in:
Lukas Gravley 2020-11-10 11:41:49 -06:00 committed by GitHub
commit 189153be5d
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23

View file

@ -210,7 +210,7 @@ function LintCodebase() {
# Need to run PowerShell commands using pwsh -c, also exit with exit code from inner subshell # Need to run PowerShell commands using pwsh -c, also exit with exit code from inner subshell
LINT_CMD=$( LINT_CMD=$(
cd "${WORKSPACE_PATH}" || exit cd "${WORKSPACE_PATH}" || exit
pwsh -NoProfile -NoLogo -Command "${LINTER_COMMAND} ${FILE}; if (\${Error}.Count) { exit 1 }" pwsh -NoProfile -NoLogo -Command "${LINTER_COMMAND} \"${FILE}\"; if (\${Error}.Count) { exit 1 }"
exit $? 2>&1 exit $? 2>&1
) )
############################################################################### ###############################################################################